import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {GroupResponse} from "@api/v1/groupResponse";
import {GroupDetailsResponse} from "@api/v1/groupDetailsResponse";

@Injectable()
export class GroupService extends ApiService {
  public readonly basePath = 'Group/';
  public readonly version = AvailableVersion.v1;

  public getGroups(page: number | null = null, pageSize: number | null = null) {
    return this.createRequestBuilder()
      .setQueryParams({page: page, pageSize: pageSize})
      .build<ApiService>()
      .get<GroupResponse[]>();
  }

  public getById(id: number) {
    return this.get<GroupDetailsResponse>(id.toString());
  }

  public getByFaculty(id: number) {
    return this.get<GroupResponse[]>('GetByFaculty/' + id.toString());
  }
}
